maven-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Karl Heinz Marbaise (JIRA)" <j...@apache.org>
Subject [jira] [Closed] (MJLINK-19) update plexus-java / asm so it will work on java 10.0.1
Date Mon, 02 Jul 2018 07:04:00 GMT

     [ https://issues.apache.org/jira/browse/MJLINK-19?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Karl Heinz Marbaise closed MJLINK-19.
-------------------------------------
    Resolution: Done
      Assignee: Karl Heinz Marbaise

Done in [88afd0d09fad3d1eb096a313a338fda697ecd7f5|https://gitbox.apache.org/repos/asf?p=maven-jlink-plugin.git;a=commitdiff;h=88afd0d09fad3d1eb096a313a338fda697ecd7f5]

> update plexus-java / asm so it will work on java 10.0.1
> -------------------------------------------------------
>
>                 Key: MJLINK-19
>                 URL: https://issues.apache.org/jira/browse/MJLINK-19
>             Project: Maven JLink Plugin
>          Issue Type: Dependency upgrade
>    Affects Versions: 3.0.0-alpha-2
>            Reporter: Jim Sellers
>            Assignee: Karl Heinz Marbaise
>            Priority: Major
>
> To get it to work on mac / java 10, I had to bump up asm 6.2. This is similar to MCOMPILER-342
> plexus-java 0.9.10 uses asm 6.2 transitively.
> I'm not sure if some versions are being held back for compatibility reasons (like maven
core) but here's what's out of date.
> {code:title=versions:display-dependency-updates}
> [INFO] The following dependencies in Dependencies have newer versions:
> [INFO]   org.apache.commons:commons-lang3 .......................... 3.6 -> 3.7
> [INFO]   org.apache.maven:maven-core ............................. 3.0 -> 3.5.4
> [INFO]   org.apache.maven:maven-plugin-api ....................... 3.0 -> 3.5.4
> [INFO]   org.assertj:assertj-core ............................. 1.7.1 -> 3.10.0
> [INFO]   org.codehaus.plexus:plexus-archiver ..................... 3.5 -> 3.6.0
> [INFO]   org.codehaus.plexus:plexus-java ...................... 0.9.7 -> 0.9.10
> [INFO]   org.mockito:mockito-core ........................... 1.10.19 -> 2.19.0
> [INFO] 
> [INFO] artifact org.apache.maven.shared:maven-shared-resources: checking for updates
from central
> [INFO] No dependencies in pluginManagement of plugins have newer versions.
> [INFO] 
> [INFO] artifact org.codehaus.mojo:extra-enforcer-rules: checking for updates from central
> [INFO] The following dependencies in Plugin Dependencies have newer versions:
> [INFO]   org.codehaus.mojo:extra-enforcer-rules ...... 1.0-beta-7 -> 1.0-beta-9
>  {code}



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message